> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/check-device-binding.md).

# Comprobar vinculación del dispositivo

Llame a esto antes de comenzar el enlace del dispositivo, o antes de autenticar una transacción.

Usa `getBindingState` (Thales SDK) para comprobar si un token ya está vinculado en el dispositivo.

### Integración del SDK

{% tabs %}
{% tab title="Android" %}

```java
String vProvisionedTokenId = ""; // Ejemplo
try {
    BindingState state = visaCTFHelper.getBindingState(vProvisionedTokenId);
} catch (TMGClientException e) {
    // Manejar error
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
let vProvisionedTokenID = "" // Ejemplo
do {
    let state = try visaCTFHelper.bindingState(forVProvisionedTokenID: vProvisionedTokenID)
} catch let error {
    // Manejar el error
}
```

{% endtab %}
{% endtabs %}

Dependiendo del estado devuelto, continúe con uno de estos flujos:

* `NO VINCULADO`

  Iniciar el enlace del dispositivo. Vea [Flujo verde de enlace de dispositivo](https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/create-device-binding-green-flow.md).
* `PENDING_ACTIVATION`

  Reanudar el enlace del dispositivo. Este estado generalmente significa que el emisor requirió **autenticación de escalado** usar un **métodos** método. Vea [Crear vinculación de dispositivo (flujo amarillo)](https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/create-device-binding-yellow-flow.md).
* `VINCULADO`

  Autenticar transacciones. Vea [Procesar una transacción](https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/authenticate-a-transaction.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/check-device-binding.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
